Bug 1092589 - libreoffice can't find JRE after update of java packages
Summary: libreoffice can't find JRE after update of java packages
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stephan Bergmann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-29 14:07 UTC by David Juran
Modified: 2014-05-28 23:53 UTC (History)
6 users (show)

Fixed In Version: libreoffice-4.2.4.2-15.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-28 23:53:31 UTC
Type: Bug


Attachments (Terms of Use)

Description David Juran 2014-04-29 14:07:40 UTC
Description of problem:
After the latest update of java-1.7.0-openjdk, next time an excel spreadsheet was opened, LibreOffice complained that it couldn't find java and prompted me to go to Tools -> Options -> Advanced and there manually choose which JRE to use.
Better would be if it would auto-select one or maybe just use the system default one selected by "alternatives"

Version-Release number of selected component (if applicable):
libreoffice-4.2.3.3-9.fc20.x86_64

Comment 1 Stephan Bergmann 2014-05-08 12:02:56 UTC
At least with the java-1.8.0-openjdk I'm using on F-20, was able to reproduce a
leftover empty /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.0.x86_64 dir tree skeleton when the current version's already /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.5.x86_64, and the leftover dir would have fooled LO.  Assume that's also the problem with the java-1.7.0-openjdk update.

Comment 2 Fedora Update System 2014-05-27 08:24:28 UTC
libreoffice-4.2.4.2-15.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libreoffice-4.2.4.2-15.fc20

Comment 3 Fedora Update System 2014-05-28 02:52:41 UTC
Package libreoffice-4.2.4.2-15.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-4.2.4.2-15.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-6757/libreoffice-4.2.4.2-15.fc20
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2014-05-28 23:53:31 UTC
libreoffice-4.2.4.2-15.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.